import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class BProtocolContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    bProtocolBamm({ address, network }: ContractOpts): import("./ethers").BProtocolBamm;
    bProtocolBammLens({ address, network }: ContractOpts): import("./ethers").BProtocolBammLens;
    bProtocolCompoundComptroller({ address, network }: ContractOpts): import("./ethers").BProtocolCompoundComptroller;
    bProtocolCompoundRegistry({ address, network }: ContractOpts): import("./ethers").BProtocolCompoundRegistry;
    bProtocolCompoundToken({ address, network }: ContractOpts): import("./ethers").BProtocolCompoundToken;
    bProtocolGetInfo({ address, network }: ContractOpts): import("./ethers").BProtocolGetInfo;
}
export type { BProtocolBamm } from './ethers';
export type { BProtocolBammLens } from './ethers';
export type { BProtocolCompoundComptroller } from './ethers';
export type { BProtocolCompoundRegistry } from './ethers';
export type { BProtocolCompoundToken } from './ethers';
export type { BProtocolGetInfo } from './ethers';
